class MainClass extends GSController {
}

function MainClass::Start() {

	// Wait for the game to start
	this.Sleep(1);
	
	local town_count = 2560;		// Or some such large number.
	local tries = 50;
	local tile = null;
	local name = null;
	
	// Town count loop.
	while(town_count-- > 0) {
		
		// Try build loop.
		for(local i = tries; i > 0; i--) {
		
			tile = this.GetRandomTile();
			name = "abc" + tile;		// Comment out this line to make things worse...
			
			if(GSTown.FoundTown(tile, GSTown.TOWN_SIZE_LARGE, true, GSTown.ROAD_LAYOUT_3x3, name))
			{
				GSLog.Info("Built town at " + tile);
				break;
			}
			else
			{
				GSLog.Info("Failed to build town at " + tile);
			}
		}
		
	}
}

function MainClass::Save() { 
}

function MainClass::Load(version, tbl) {	
}

function MainClass::GetRandomTile() {
	return GSMap.GetTileIndex(GSBase.RandRange(GSMap.GetMapSizeX()), GSBase.RandRange(GSMap.GetMapSizeY()))
}
